Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.taglib
Class AddGroupToGroupTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.bea.p13n.usermgmt.taglib.UserManagementTag
              com.bea.p13n.usermgmt.taglib.ResultTag
                  com.bea.p13n.usermgmt.taglib.AddGroupToGroupTag

All Implemented Interfaces:
  IterationTag, Serializable, Tag, UserManagementTagConstants

public class AddGroupToGroupTag
extends ResultTag

Corresponds to `<ugm:addGroupToGroup>`.

The `<ugm:addGroupToGroup>` tag adds the group corresponding to the provided `childGroupName` to the group corresponding to the provided `parentGroupName`. Since a group can only have one parent, any previous database records which reflect the group belonging to another parent will be destroyed. Both the parent group and the child group must previously exist for proper tag behavior. The tag has no enclosed body.

Tag Attribute | Required | Type | Description
atnProvider | no | String | The name of the authentication provider to which the group will be added. The default provider will be used if not specified. Example: "`<%=atnProvider%>`"
childGroupName | yes | String | The name of the child group. Example: "`<%=childGroupName%>`"
parentGroupName | yes | String | The name of the parent group. Example: "`<%=parentGroupName%>`"
result | yes | String | The name of an Integer variable to which the result of the add group to group operation is assigned. Possible Values: Success: `UserManagerTagConstants.ADD_GROUP_OK` Error encountered: `UserManagerTagConstants.ADD_GROUP_FAILED`

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.p13n.usermgmt.taglib.ResultTag
`result`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface com.bea.p13n.usermgmt.taglib.UserManagementTagConstants
`ADD_GROUP_FAILED, ADD_GROUP_OK, ADD_USER_FAILED, ADD_USER_OK, CREATE_GROUP_FAILED, CREATE_GROUP_OK, CREATE_USER_FAILED, CREATE_USER_OK, DEFAULT_SEARCH_EXP, DEFAULT_USER_LIMIT, GET_PROFILE_FAILED, GET_PROFILE_OK, GROUP_CHANGE_FAILED, GROUP_CHANGE_OK, GROUP_EXISTS, LOGIN_ERROR, LOGIN_FAILED, LOGIN_OK, NO_SUCH_PROFILE, NO_SUCH_SUCCESSOR, REMOVE_GROUP_FAILED, REMOVE_GROUP_OK, REMOVE_USER_FAILED, REMOVE_USER_OK, RESERVED_GROUP_NAME, RESERVED_USER_NAME, SET_PASSWORD_FAILED, SET_PASSWORD_OK, SET_PROPERTY_FAILED, SET_PROPERTY_OK, USER_EXISTS, USER_LIMIT_EXCEEDED, USER_SEARCH_FAILED, USER_SEARCH_OK`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`AddGroupToGroupTag()`

Method Summary
`int` | `doStartTag()` Add the specified child group to the specified parent group through the UserManager session bean
`String` | `getAtnProvider()` Get the name of the authentication provider
`String` | `getChildGroupName()` Get the name of the new child group
`String` | `getParentGroupName()` Get the name of the new parent group
`void` | `release()` Reset the tag's attributes
`void` | `setAtnProvider(String atnProvider)` Set the name of the authentication provider
`void` | `setChildGroupName(String childGroupName)` Set the name of the new child group
`void` | `setParentGroupName(String parentGroupName)` Set the name of the new parent group

Methods inherited from class com.bea.p13n.usermgmt.taglib.ResultTag
`getResult, setResult`

Methods inherited from class com.bea.p13n.usermgmt.taglib.UserManagementTag
`getAtnManagerProxy`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddGroupToGroupTag

    public AddGroupToGroupTag()

Method Detail

### setAtnProvider

    public void setAtnProvider(String atnProvider)

  Set the name of the authentication provider

### getAtnProvider

    public String getAtnProvider()

  Get the name of the authentication provider

### setParentGroupName

    public void setParentGroupName(String parentGroupName)

  Set the name of the new parent group

### getParentGroupName

    public String getParentGroupName()

  Get the name of the new parent group

### setChildGroupName

    public void setChildGroupName(String childGroupName)

  Set the name of the new child group

### getChildGroupName

    public String getChildGroupName()

  Get the name of the new child group

### doStartTag

    public int doStartTag()
                   throws JspException

  Add the specified child group to the specified parent group through the UserManager session bean

  Throws:
    `JspException`

### release

    public void release()

  Reset the tag's attributes

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `ResultTag`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved